=== debian/control ===
Source: kernel-kbuild-2.6-2
Section: devel
Priority: optional
Maintainer: Herbert Xu <herbert@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 2), kernel-source-2.6.5

Package: kernel-kbuild-2.6-2
Architecture: any
Section: devel
Priority: optional
Depends: ${shlibs:Depends}
Description: Linux kernel 2.6 kbuild tools
 This package provides kbuild tools for Linux kernel 2.6.  It is used together
 with the kernel-headers packages to build out-of-tree kernel modules.
